package com.hw.system.api.factory;

import com.hw.system.api.RemoteSysCommonService;
import org.springframework.cloud.openfeign.FallbackFactory;
import org.springframework.stereotype.Component;

/**
 * 日志服务降级处理
 *
 * @author ruoyi
 */
@Component
public class RemoteSysCommonFallbackFactory implements FallbackFactory<RemoteSysCommonService>
{

    @Override
    public RemoteSysCommonService create(Throwable cause) {
        return null;
    }
}
